No MIDI-keybord support on Mac?? MAC experts needed badly!!

Having trouble with LMMS? Ask about it here.
Hello,
I am very new to this so please bear with me if it turns out I'm just being very stupid and this is an easy fix (which I hope it is). I am trying to use a microkorg xl synth as a MIDI controller but cannot figure out how to get it to work, When I go to the MIDI settings in LMMS, all there is is the dummy option and there are no others. My operating system is OSX Yosemite, is there something I need to install or do to fix this?

Code: Select all

I changed your tittle a little, because we need help here :p -In fact anyone with good MAC knowledge,can really help the LMMS project, if they made some MAC related articles in our WIKI -Anyone ??  - mB 
Ciao halpplz,
I'm also new to lmms, but as of my understanding, there is currently no support for midi on OSX platform.
Midi is supported with Alsa (not available for Mac), OSS and WinMM (not available for Mac). The normal lmms is not compiled with OSS, so all you can see is the dummy adapter.
I tried to use the OSS, I could compile lmms with it, I installed the liboss library, but there is no driver, server or other kernel module creating the devices (it works differently on OSX, in linux you would perform an insmod and it would create a device like /dev/midi or /dev/dsp, or whatever it is supposed to be). So I can not configure OSS in lmms with a working device.
I think you did all you could as user.

I'm writing a midi adapter for OSX, the same way it is already available for windows with WinMM. It compiles and receive input from my keyboard (Yamaha), but the code is far away from being ready.
This is probably not the right answer but there is a utility application which should help you configure your MIDI keyboard:

/Applications/Utilities/Audio\ MIDI\ Setup.app
Just a quick update for anyone who, like me, came to this thread looking for the answer to this issue. Over on GitHub user rageboge made the adapter that Maui mentioned and it has been implemented in the Beta, but not the Stable channel.

If you need MIDI support make sure you are running the version 1.1.9 (OSX Beta as of 14/09/2016) or later.
I just downloaded beta version 1.2.0 for the added MIDI support, and it crashed immediately each time I tried to open it.
I'm on an 2009 MacBook Pro running macOS 10.11.6 (latest El Capitan version).
I really would appreciate a stable release with working MIDI support!
I wanted to make sure whatever bug is crashing my LMMS is made known, and hopefully also find out when to expect a stable release featuring Mac MIDI support.
Fluffybombs wrote:
Mon Nov 06, 2017 11:44 pm
I just downloaded beta version 1.2.0 for the added MIDI support, and it crashed immediately each time I tried to open it.
Yes MAC support is very limited, and there are many bugs
I really would appreciate a stable release with working MIDI support!
It is not on its way. Neither VST nor midi will be coming soon.
I have converted some midi's to mmp for others, and i can do that for you too. Mmp is directly supported in MAC. Just let me know, either pr PM or right here.

Besides that, since you are new here Welcome to the forum Fluffybombs ! Here are all our important links:
viewtopic.php?f=1&t=4740
-And a few rules for Avatars, signatures, posting and using the right sub-forum :)
If you like to introduce yourself, to the community:
viewtopic.php?f=4&t=4480

Who is online

In total there are 6 users online :: 0 registered, 0 hidden and 6 guests (based on users active over the past 5 minutes)
Most users ever online was 131 on Sat Dec 10, 2016 3:47 pm

Users browsing this forum: No registered users and 6 guests